C!F77-INC************************************************************
c
C!Description: Include file for parameters need to set the ECS
c              Core, Inventory and Archive metadata for the
c              UW part of MOD06.
c
c!Input Parameters: NONE
c!Output Parameters: NONE
c
c!Revision History:
c $Id: mod06uw_meta.inc,v 1.1 2006/02/07 22:45:29 gumley Exp $
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-04.
c
c!Design Notes:
c
c!END****************************************************************

c ... rhucek 02/26/98:  Define BLANK parameter
      character*1  BLANK
      parameter   (BLANK = ' ')

c ... Number of measured parameters
      integer    No_ParaName
      parameter (No_ParaName = 1)

c ... rhucek 02/26/98:  Add parameter MAX_NUM_ARCHIVE_PSA_SC, maximum number 
c ... of archive product specific attributes (PSAs) set by science code.
      integer    MAX_NUM_ARCHIVE_PSA_SC
      parameter (MAX_NUM_ARCHIVE_PSA_SC = 10)

      character*30 Value_Para_Name(No_ParaName) /'Cloud_Top_Pressure'/

      character*60 Auto_QA_Expl(No_ParaName)
     * / 'Passed: >10% useable; Failed: <10% useable' /

c ... MODIS Input files
      integer    NUM_MODIS_InputFiles 
      parameter (NUM_MODIS_InputFiles = 4)

      integer VRSN_MODIS_InputFiles(NUM_MODIS_InputFiles)
     *            / NUM_MODIS_InputFiles*1 / 

c ... Set number of input files which were used in profiles
c ... Added the input MODIS files also
      integer    No_Input_LRN
      parameter (No_Input_LRN = 14)

c ... Now use this number to set arrays for holding the actual LRN
c ... numbers and version numbers which coincide
c ... These input files are the MODIS input files and the
c ... ancillary data files.
      integer Input_Vrsn(No_Input_LRN) / No_Input_LRN*1 / 


c ................... CORE AND INVENTORY METADATA .................

c ... No_PCF_Atrr - Core metadata set in pcf file
      integer No_PCF_Attr
      parameter (No_PCF_Attr = 7)
      character*60 Name_PCF_Attr(No_PCF_Attr)
     *           / 'REPROCESSINGACTUAL',
     *             'REPROCESSINGPLANNED',
     *             'LOCALVERSIONID', 
     *             'PGEVERSION',
     *             'ASSOCIATEDPLATFORMSHORTNAME.1',
     *             'ASSOCIATEDINSTRUMENTSHORTNAME.1',
     *             'ASSOCIATEDSENSORSHORTNAME.1' /

c ... Logical Reference numbers of above attributes in PCF file
      integer LRN_PCF_Attr(No_PCF_Attr)
     *  /413000,413001,413002,413003,413004,413005,413006/


c ... No_PSA - Number of inventory metadata PSA's
      integer No_PSA
      parameter (No_PSA = 16)
c ... Set actual PSA names for uw cloud product contributions
      character*30 PSAName(No_PSA)
     *  / 'SuccessCloudTopPropRtrPct_IR',
     *    'SuccessCloudPhaseRtrPct_IR',
     *    'LowCloudDetectedPct_IR','MidCloudDetectedPct_IR',
     *    'HighCloudDetectedPct_IR','ThinCloudDetectedPct_IR',
     *    'ThickCloudDetectedPct_IR','OpaqueCloudDetectedPct_IR',
     *    'CirrusCloudDetectedPct_IR','IceCloudDetectedPct_IR',
     *    'WaterCloudDetectedPct_IR','MixedCloudDetectedPct_IR',
     *    'CloudPhaseUncertainPct_IR','OceanCoverFractionPct',
     *    'LandCoverFractionPct','SnowCoverFractionPct' /

c ... Set to true if the product contains 1km science parameters but
c ... a lower resolution geolocation information.  Says that there
c ... is not a 1 to 1 correspondence.
c 02/17/98 fhliang: changed value from 'true' to 'false'
c     logical ExtGeoPntr_Flag /.true. /
      logical ExtGeoPntr_Flag /.false. /

c ..................... ARCHIVE METADATA ...............................
c ... Beginning LRN number of archive metadata RPS's.  It will read
c ... from this number the actual number of pairs to set (in this
c ... case it is 10).
      integer LRN_NUM_Of_ArchiveRP_Pairs
      parameter (LRN_NUM_Of_ArchiveRP_Pairs = 413100)


c ... Number of Product Specific PSA's archive metadata for 
c ... the UW cloud product contribution code is 0
c ... rhucek 02/26/98:  Reset value to 0.
      integer NUM_ArchivePSA_SC
      parameter (NUM_ArchivePSA_SC = 0)
c     parameter (NUM_ArchivePSA_SC = 2)

c ... Name of the archive product specific attributes for cloud product.  

c ... rhucek 02/26/98:  Changed code to set Archive PSA as RPs in PCF 
c ... For now, set all archive PSA names to BLANKs 
      character*100 Name_ArchivePSA_SC(MAX_NUM_ARCHIVE_PSA_SC)
     *  / MAX_NUM_ARCHIVE_PSA_SC*BLANK /

c    *  /'Algorithm_Version_Cloud_Top_Property_IR',
c    *   'Algorithm_Version_Cloud_Phase_IR'/

c ... Set the value of the version numbers here for now.

c ... rhucek 02/26/98:  Changed code to set Archive PSAs as RPs in PCF 
c ... For now, set all archive PSA values to 0.0
      real Value_ArchivePSA_SC(MAX_NUM_ARCHIVE_PSA_SC)
     *  / MAX_NUM_ARCHIVE_PSA_SC*0.0  / 
