!-----------------------------------------------------------------------
! !F90-INC
!
! !DESCRIPTION:
!     Include file for atmosphere ancillary data.
!
!
! !INPUT PARAMETERS:
!     NONE
!
!
! !OUTPUT PARAMETERS:
!     NONE
!
!
! !REVISION HISTORY:
!
! !TEAM-UNIQUE HEADER:
!
!     This software is developed by the MODIS Science Data Support Team
!     for the National Aeronautics and Space Administration,
!     Goddard Space Flight Center, under contract NAS5-32373.
!
! !REFERENCES and CREDITS:
!     Written by
!     Rich Hucek/Po Li
!     Research and Data Systems Corporation
!     SAIC/GSC MODIS Science Data Support Office
!     7501 Forbes Blvd, Seabrook  MD 20706
!     rhucek@ltpmail.gsfc.nasa.gov
!     lipo@ltpmail.gsfc.nasa.gov
!
! !END
!-----------------------------------------------------------------------

!------Atmosphere ancillary input product LUNs

       integer    LUN_GDAS_0ZF
       parameter (LUN_GDAS_0ZF = 900000)

       integer    LUN_OZ_DAILY
       parameter (LUN_OZ_DAILY = 900020)

       integer    LUN_REYNSST
       parameter (LUN_REYNSST  = 900030)

       integer    LUN_SEA_ICE
       parameter (LUN_SEA_ICE  = 900040)

       integer    LUN_NISE
       parameter (LUN_NISE     = 900100)

!------Temporary I/O LUNs for preprocessed atmosphere ancillary data

       integer    LUN_TEMP_GDAS_0ZF
       parameter (LUN_TEMP_GDAS_0ZF = 497000)

       integer    LUN_TEMP_OZ_DAILY
       parameter (LUN_TEMP_OZ_DAILY = 497020)

       integer    LUN_TEMP_SEA_ICE
       parameter (LUN_TEMP_SEA_ICE  = 497040)

!------Number of Atmospheric common Ancillary files

       integer    NUM_ATMOS_COMMON_ANC
       parameter (NUM_ATMOS_COMMON_ANC = 3)

!------Array storage facility for atmosphere ancillary temporary file LUNs

       integer LUN_Temp_AtmosCommonAnc(NUM_ATMOS_COMMON_ANC) 
       data LUN_Temp_AtmosCommonAnc/ LUN_TEMP_GDAS_0ZF,  &
                                     LUN_TEMP_OZ_DAILY,  &
                                     LUN_TEMP_SEA_ICE /

!------Current file sizes of NCEP formatted and unformatted sst products
       integer    SIZE_OF_REYNSST_FMT,          SIZE_OF_REYNSST_UNF
       parameter (SIZE_OF_REYNSST_FMT = 262481, SIZE_OF_REYNSST_UNF = 583264)
