!-----------------------------------------------------------------------
!!F90-INC
!
! !DESCRIPTION:  Include file used by version 2 level 1B reader.
!
! !REVISION HISTORY:
!
! !TEAM-UNIQUE HEADER:
!
!    This software is developed by the MODIS Science Data Support
!    Team for the National Aeronautics and Space Administration,
!    Goddard Space Flight Center, under contract NAS5-32373.
!
! !REFERENCES AND CREDITS:
!
! !END
!---------------------------------------------------------------------


!-------------------------------------------------------------------------------
! L1B reader parameters
!-------------------------------------------------------------------------------

! valid/invalid data identifiers in L1B reader output
      integer(integer_onebyte) L1B_INVALID,      L1B_VALID
      parameter     (L1B_INVALID = -1, L1B_VALID = 0)

! array configuration parameters
      integer        MAX_NUM_ARRAYS,     MAX_NUM_DIMS,     MAX_NUM_CHANNELS
      parameter     (MAX_NUM_ARRAYS = 4, MAX_NUM_DIMS = 3, MAX_NUM_CHANNELS = 16)

! calibration types and number of spatial resolutions
      integer        MAX_NUM_CAL_TYPES,     NUM_L1B_FILES
      parameter     (MAX_NUM_CAL_TYPES = 3, NUM_L1B_FILES = 3)

! define oversize static buffer
      integer        MAX_FRAMES_PER_SCAN
      parameter     (MAX_FRAMES_PER_SCAN=1500)

! identify spatial resolution factors
      integer        RESOL_IS_250M,      RESOL_IS_500M,     RESOL_IS_1KM
      parameter     (RESOL_IS_250M = 16, RESOL_IS_500M = 4, RESOL_IS_1KM = 1)

! identify bands 13 and 14
      integer        BAND_IS_14,      BAND_IS_13
      parameter     (BAND_IS_14 = 14, BAND_IS_13 = 13)

! define band gain types (used only for channels 13 and 14)
      character*(*)  HIGH_GAIN,       LOW_GAIN
      parameter     (HIGH_GAIN = 'H', LOW_GAIN = 'L')

      character*(*)  CAL_IS_COUNT,            CAL_IS_REFL,          CAL_IS_RAD
      parameter     (CAL_IS_COUNT = 'counts', CAL_IS_REFL = 'refl', CAL_IS_RAD = 'rad')
