module libraryinterpolates
  use GeneralAuxType
  
  real(single), allocatable, dimension(:,:,:) :: int_reflectance_water,int_reflectance_ice
 
! sep, 6 May: The retrieval nomenclature, consistent in the three routines 
! vis_absorbing_science, nir_absorbing_science, and vis_nonabsorbing_science is
! as follows (note that there is now consistency in that '0' => solar, '1'=> sensor):
!
! int_escapefunc_water_solar  -> fki0
! int_escapefunc_water_sensor -> fki1
! int_fluxup_sensor           -> fri1
! int_fluxdown_solar          -> fti0
! int_fluxdown_sensor         -> fti1
! ---------------------


  real(single), allocatable, dimension(:,:,:) :: int_fluxupwater_sensor, int_fluxdownwater_solar, int_fluxdownwater_sensor 
  real(single), allocatable, dimension(:,:)   :: int_escapefuncwater_solar, int_escapefuncwater_sensor

  real(single), allocatable, dimension(:,:,:) :: int_fluxupice_sensor, int_fluxdownice_solar, int_fluxdownice_sensor
  real(single), allocatable, dimension(:,:)   :: int_escapefuncice_solar, int_escapefuncice_sensor

end module libraryinterpolates
