module modis_cloudstructure

! These desginations can only really be understood in conjunction with 
! the following document:
! http://modis-atmos.gsfc.nasa.gov/MOD35_L2/format.html
! Commented field names are from this document

! mag Sept 2003

  type cloudmask_type

!    top level flags
     logical    ::  cloudmask_determined
     logical    ::  confident_cloudy
     logical    ::  probablyclear_66
     logical    ::  probablyclear_95
     logical    ::  probablyclear_99
    
!    processing path flags 
     logical    ::  day
     logical    ::  night
     logical    ::  sunglint
     logical    ::  snowice_surface
     logical    ::  water_surface
     logical    ::  coastal_surface
     logical    ::  desert_surface 
     logical    ::  land_surface

!    1km cloud test flags
     logical    ::  noncloud_obstruction
     logical    ::  thin_cirrus_solar             ! Thin Cirrus Detected (Solar Test)
     logical    ::  shadow                   
     logical    ::  thin_cirrus_ir                ! Thin Cirrus Detected (Infrared Test) 
     logical    ::  adjacent_cloud                ! Adjacent Cloud Detected (within 1km)
     logical    ::  test_irthreshold              ! Cloud Flag (IR Threshold Test) 
     logical    ::  test_CO2                      ! High Cloud Flag (CO2 Test) 
     logical    ::  test_high_67                  ! High Cloud Flag (6.7 micron Test) 
     logical    ::  test_high_138                 ! High Cloud Flag (1.38 micron Test) 
     logical    ::  test_high_37_12               ! High Cloud Flag (3.7-12 micron Test)
     logical    ::  test_irdiff                   ! Cloud Flag (IR Temperature Difference Test)  
     logical    ::  test_39_11                    ! Cloud Flag (3.9-11 micron Test) - name change from 3.7 to 3.9  GTA 2-7-05
     logical    ::  test_visiblereflectance
     logical    ::  test_visible_ratio
     logical    ::  test_restoral_ndvi            !  
     logical    ::  test_73_11_land_polar_night   !  
     logical    ::  test_temporal_consistency
     logical    ::  test_spatial_consistency
     logical    ::  test_clearskyrestoral_glint
     logical    ::  test_night_surfacetemp
     logical    ::  test_suspended_dust
     logical    ::  test_86_73_nightocean
     logical    ::  test_nightocean_var
   
!    250m cloud test flags
     logical    ::  visible_cloudtest_11
     logical    ::  visible_cloudtest_12
     logical    ::  visible_cloudtest_13
     logical    ::  visible_cloudtest_14
     logical    ::  visible_cloudtest_21
     logical    ::  visible_cloudtest_22
     logical    ::  visible_cloudtest_23
     logical    ::  visible_cloudtest_24
     logical    ::  visible_cloudtest_31
     logical    ::  visible_cloudtest_32
     logical    ::  visible_cloudtest_33
     logical    ::  visible_cloudtest_34
     logical    ::  visible_cloudtest_41
     logical    ::  visible_cloudtest_42
     logical    ::  visible_cloudtest_43
     logical    ::  visible_cloudtest_44
      
 
!    1km cloud test application flags
     logical    ::  cloudmask_useful
     logical    ::  lowest_confidence
     logical    ::  intermediate_confidence  
     logical    ::  high_confidence
     logical    ::  highest_confidence  
 
     logical    ::  applied_nco
     logical    ::  applied_thincirrus_solar
     logical    ::  applied_shadow
     logical    ::  applied_thincirrus_ir
     logical    ::  applied_cloudadjacent
     logical    ::  applied_irthreshold
     logical    ::  applied_highcloudCO2
     logical    ::  applied_highcloud67
     logical    ::  applied_highcloud138
     logical    ::  applied_highcloud37_12
     logical    ::  applied_irtempdifference
     logical    ::  applied_39_11                    ! Cloud Flag (3.7-11 micron Test)
     logical    ::  applied_visiblereflectance
     logical    ::  applied_visible_ratio
     logical    ::  applied_restoral_ndvi            !
     logical    ::  applied_73_11_land_polar_night   !
     logical    ::  applied_temporal_consistency
     logical    ::  applied_spatial_consistency
     logical    ::  applied_clearskyrestoral_glint
     logical    ::  applied_night_surfacetemp
     logical    ::  applied_suspended_dust
     logical    ::  applied_86_73_nightocean
     logical    ::  applied_nightocean_var


!    250m test application flags
     logical    ::  applied_visible_cloudtest_11
     logical    ::  applied_visible_cloudtest_12
     logical    ::  applied_visible_cloudtest_13
     logical    ::  applied_visible_cloudtest_14
     logical    ::  applied_visible_cloudtest_21
     logical    ::  applied_visible_cloudtest_22
     logical    ::  applied_visible_cloudtest_23
     logical    ::  applied_visible_cloudtest_24
     logical    ::  applied_visible_cloudtest_31
     logical    ::  applied_visible_cloudtest_32
     logical    ::  applied_visible_cloudtest_33
     logical    ::  applied_visible_cloudtest_34
     logical    ::  applied_visible_cloudtest_41
     logical    ::  applied_visible_cloudtest_42
     logical    ::  applied_visible_cloudtest_43
     logical    ::  applied_visible_cloudtest_44
  end type cloudmask_type

  type processflag
     logical    ::  cloudmask_determined
     logical    ::  cloudobserved
     logical    ::  land_surface
     logical    ::  ocean_surface
     logical    ::  coastal_surface
     logical    ::  desert_surface
     logical    ::  snowice_surface
     logical    ::  watercloud
     logical    ::  icecloud
     logical    ::  mixedcloud
     logical    ::  unknowncloud
     logical    ::  sunglint
     logical    ::  aerosol
     logical    ::  cloudsuspicious
  end type processflag

  type cloudphase
     logical    ::  cloudobserved
     logical    ::  watercloud
     logical    ::  icecloud
     logical    ::  mixedcloud
     logical    ::  unknowncloud
  end type cloudphase

end module modis_cloudstructure
