! In this module important paramters that address program control
! and messaging are set

module nonscience_parameters

  use GeneralAuxType
  implicit none
 
  integer :: success, warning, error, failure  


  parameter (success = 0, warning = 1, error = 2, failure = 3)

  real(single),parameter :: fillvalue_real = -999.

  integer, parameter :: Max_Scan_Per_Granule = 250

  integer, parameter :: level1b_lrn          = 700002, &
                        cloudmask_lrn        = 422500, &
                        mod06_lrn            = 412500, &
                        geolocation_lrn      = 600000, &
                        gdas_lrn             = 900000, &
                        ncepice_lrn          = 900040, &
                        sst_lrn              = 900030, &
                        nise_lrn             = 900100, &
                        ozone_lrn            = 900020, &
                        water_library_lrn    = 417501, &
                        ice_library_lrn      = 417502, &
                        transmittance_library_lrn = 417521, &
                        surfacealbedo_lib_659_lrn = 417522, &
                        surfacealbedo_lib_858_lrn = 417523, &
                        surfacealbedo_lib_124_lrn = 417524, &
                        surfacealbedo_lib_164_lrn = 417525, &
                        surfacealbedo_lib_21_lrn  = 417526, &
                        snowicealbedo_data_lrn    = 417527, &
                        ecosystem_data_lrn        = 417540
  integer, parameter :: MAX_SDS_NAME_LEN      = 64, &
                        MAX_FILE_NAME_LEN     = 1000 

end module nonscience_parameters
