module science_parameters

  use GeneralAuxType
  implicit none

! A solar zenith threshold of 81.4 degrees (cosine(.15)) is used. 
! Chosen to be a value within the current upper limit of the 
! forward reflectance library

  real(single), parameter :: solar_zenith_threshold = 81.4

! used the in the calculation of the (effective) liquid water path
  real(single), parameter :: liquid_water_density = 1.0, ice_water_density = .93

! used in the uncertainty computation
  real(single), parameter :: scaledTauRegimeThreshold = 1.5

! estimated uncertainties used in uncertainty computation
  real(single), parameter :: watervapor_error = .2    ! used to get transmittance uncertainty
  real(single), parameter :: albedo_error = .15
  real(single), parameter :: measurement_error = .05


end module science_parameters
