module sciencemodule_interface
interface
   subroutine cloud_top_temperature(rmear,lambda,tc,tcmax,ak,el,em,en, &
                                 fki1,nts,taux,tranx,galbedo,theta,gtemp,ttop)
      implicit none
      integer, intent(in) :: nts
      real, intent(in)    :: rmear, lambda, tc, tcmax, ak,el,em,en, &
                          fki1,taux(:),galbedo,theta,gtemp
      real, intent(inout) :: tranx(:)
      real, intent(out)   :: ttop
   end subroutine cloud_top_temperature
end interface

interface
  real function planck( wavelength, temperature)
     implicit none
     real, intent(in) :: wavelength, temperature
  end function planck
end interface

interface
  real function planck_inverse(wavelength, radiance)
     implicit none
     real, intent(in)  :: wavelength, radiance
  end function planck_inverse
end interface

interface
  real function planckave(wavelength, temperature)
     implicit none
     real, intent(in) :: wavelength, temperature
  end function planckave
end interface

end module sciencemodule_interface
