C-----------------------------------------------------------------------
C !F77-INC
C
C !DESCRIPTION:
C     Include file for parameters need to set the ECS
C     Core, Inventory and Archive metadata for MOD07
C
C !INPUT PARAMETERS:
C     None
C
C !OUTPUT PARAMETERS:
C     None
C
C !REVISION HISTORY:
C
C !TEAM-UNIQUE HEADER:
C     Developed by the MODIS Group, CIMSS/SSEC, UW-Madison.
C
C !END
C-----------------------------------------------------------------------

c ... Set number of input files which were used in profiles 
c ... Added the input MODIS files also

c rhucek 12/17/02: changed No_Input_LRN from 9 to 6 
c rhucek 06/05/03: changed No_Input_LRN from 6 to 8 
c rhucek 11/30/05: changed No_Input_LRN from 8 to 9 
      integer No_Input_LRN
      parameter (No_Input_LRN = 9)

c ... Now use this number to set arrays for holding the actual LRN
c ... numbers and version numbers which coincide

c rhucek 12/17/02: removed Input_LRN 900020, 900030 and 900040 
c rhucek 06/05/03: added 420017 (radiance bias table) and 420018 
c rhucek 11/30/05: added 430100 (L1B destriper config file)
c   (detector flags) to list of input file pcfnum's.  These pcfnum's 
c   are to be common across Terra and Aqua.

      integer Input_LRN(No_Input_LRN) /700002, 600000, 422500, 900000,
     *                         420011, 420012, 420017, 420018, 430100/
      integer Input_Vrsn(No_Input_LRN) / No_Input_LRN*1 /

c ................... CORE AND INVENTORY METADATA .................

c ... No_ParaName - Number of measured parameter names (for QA misg)

      integer    No_ParaName
      parameter (No_ParaName = 1)

c ... LRN_OF_NUM_INV_RP_PAIRS - PCF LUN at head of core runtime parameter list 

      integer    LRN_OF_NUM_INV_RP_PAIRS
      parameter (LRN_OF_NUM_INV_RP_PAIRS = 421000)

c ... No_PSA - Number of inventory metadata PSA's

      integer No_PSA
      parameter (No_PSA = 14)

c ... Set actual PSA names for cloud mask

      character*30 PSAName(No_PSA)
     *             / 'SuccessfulRetrievalPct',
     *               'LowConfidentClearPct',
     *               'DayProcessedPct','NightProcessedPct',
     *               'SunglintProcessedPct',
     *               'Snow_IceSurfaceProcessedPct',
     *               'LandProcessedPct','WaterProcessedPct',
     *               'ShadowFoundPct','ThinCirrusSolarFoundPct',
     *               'ThinCirrusIR_FoundPct',
     *               'NonCloudObstructionFoundPct',
     *               'MaxSolarZenithAngle','MinSolarZenithAngle' /

c ... Set to true if the product contains 1km science parameters but
c ... a lower resolution geolocation information.  Says that there
c ... is not a 1 to 1 correspondence.

      logical ExtGeoPntr_Flag /.false. /

c ..................... ARCHIVE METADATA ...............................
c ... Beginning LRN number of archive metadata RPS's.  It will read
c ... from this number the actual number of pairs to set (in this
c ... case it is 9).

      integer LRN_NUM_Of_ArchiveRP_Pairs
      parameter (LRN_NUM_Of_ArchiveRP_Pairs = 421100)

      integer MAX_NUM_ARCHIVE_PSA_SC
      parameter (MAX_NUM_ARCHIVE_PSA_SC = 100)

      integer NUM_ArchivePSA_SC
      parameter (NUM_ArchivePSA_SC = 0)

      character*100 Name_ArchivePSA_SC(MAX_NUM_ARCHIVE_PSA_SC)
 
      integer mod07_ver(MAX_NUM_ARCHIVE_PSA_SC)
     *  / MAX_NUM_ARCHIVE_PSA_SC * 2 /
