c-----------------------------------------------------------------------
c !F77-INC
c
c !DESCRIPTION:
c     Include file for UW-MODIS Version 2 MOD_PR07
c
c !INPUT PARAMETERS:
c     None
c
c !OUTPUT PARAMETERS:
c     None
c
c !REVISION HISTORY:
c
c !TEAM-UNIQUE HEADER:
c     Developed by the MODIS Group, CIMSS/SSEC, UW-Madison.
c
c !END
c-----------------------------------------------------------------------

c ... PCF numbers for files used in UW MODIS Version 2 MOD_PR07
c rhucek 06/11/03: declared integers radbias_pcfnum and detflgs_pcfnum
c                  to replace biasA_pcfnum, biasT_pcfnum, detA_pcfnum, 
c                  and detT_pcfnum 

c rhucek 05/31/05:  added FORTRAN parameter ds_pcfnum for access to 
c                   destriped L1B file.  
c rhucek 11/30/05:  added dsconf_pcfnum (L1B destriper config file)
      integer 
     &  cube_pcfnum, geo_pcfnum, ds_pcfnum, cld_pcfnum, dsconf_pcfnum,
     &  out_pcfnum, bug_pcfnum, bugRPref_pcfnum, mcf_pcfnum, mcf_qcnum, 
     &  trc_pcfnum, ang_pcfnum, radbias_pcfnum, detflgs_pcfnum 
c    &  trc_pcfnum, ang_pcfnum, biasA_pcfnum, biasT_pcfnum,
c    &  detA_pcfnum, detT_pcfnum

c rhucek 06/11/03: use common pcfnum's for Terra and Aqua bias and 
c                  detector flags; replaced the last 4 lines in pcfnum 
c                  definitions as follows:
c    &  biasT_pcfnum =    420015,  ====> &  radbias_pcfnum  = 420017, 
c    &  detT_pcfnum =     420016,  ====> &  detflgs_pcfnum  = 420018) 
c    &  biasA_pcfnum =    420017,  
c    &  detA_pcfnum =     420018)  

c rhucek 11/30/05: Added LUN 430100 (L1B destriper config. file) 
      parameter (
     &  cube_pcfnum     = 700002,
     &  geo_pcfnum      = 600000,
     &  ds_pcfnum       = 430000,
c rhucek 11/30/05: Added LUN 430100 (L1B destriper config. file) 
     &  dsconf_pcfnum   = 430100,
     &  cld_pcfnum      = 422500,
     &  out_pcfnum      = 420000,
     &  mcf_pcfnum      = 420001,
     &  bug_pcfnum      = 420002,
     &  mcf_qcnum       = 420003,
     &  bugRPref_pcfnum = 420004,
     &  trc_pcfnum      = 420011,
     &  ang_pcfnum      = 420012,
     &  radbias_pcfnum  = 420017, 
     &  detflgs_pcfnum  = 420018) 

c ... FORTRAN logical unit numbers used view angle and coefficient files

      integer iuctw, iuang
      
      common / mod07_lun / iuctw, iuang
