c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the daytime Antarctica processing path.
c
c!Revision History:
c
c Added 'ant11_12hi', 'ant11_12adj'
c 06/04 Collection 5   R. Frey
c Added 'ant4_11' variables
c 10/04 Collection 5b  R. Frey
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-35.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Daytime polar snow thresholds

      real anth20(4) 
      real ant4_11l(4)
      real ant4_11h(4)
      real ant4_11m1(4)
      real ant4_11m2(4)
      real ant4_11m3(4)
      real bt_11_bnds4(4)

      common /antarctic_thresholds/ anth20,
     +        ant4_11l,ant4_11h,ant4_11m1,ant4_11m2,
     +        ant4_11m3,bt_11_bnds4
