c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the daytime land processing path.
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Daytime land thresholds

      real dlvrat(4)   
      real dlref1(4)   
      real dlref3(4)   
      real dl11_4lo(4) 
      real dl11_12hi(1)
      real dlco2(4)    
      real dlh20(4)    
      real dltci(2)

      common /dayland_thresholds/ dlvrat,dlref1,dlref3,dl11_4lo,
     +   dl11_12hi,dlco2,dlh20,dltci
