c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the nighttime snow processing path.
c
c!Revision History:
c Added 'ns11_12hi','ns11_12adj'
c 06/04 Collection 5    R. Frey
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-35.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c     Nighttime snow thresholds

      real ns11_12hi(1)
      real ns4_12hi(4)
      real ns11_4lo(4)
      real nsco2(4)   
      real nsh20(4)   
      real n65_11(1)  
      real ns11_12adj(1)

      common /nitesnow_thresholds/ ns4_12hi,ns11_4lo,nsco2,nsh20,
     +    n65_11,ns11_12hi,ns11_12adj
