c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the nighttime ocean processing path.
c
c!Revision History:
c 06/04 Collection 5  R. Frey
c Added 'no86_73' and 'no_11var', removed 'nosig'.
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-35.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c     Nighttime ocean thresholds

      real nobt11(4)   
      real no11_12hi(4)
      real no11_4lo(4) 
      real noco2(4)    
      real noh20(4)    
      real no86_73(4)
      real no_11var(4)

      common /niteocean_thresholds/ nobt11,no11_12hi,no11_4lo,
     +  noco2,noh20,no86_73,no_11var
